# This file is copied to spec/ when you run 'rails generate rspec:install'
ENV['RAILS_ENV'] ||= 'test'
require File.expand_path('../dummy/config/environment.rb', __FILE__)
# Prevent database truncation if the environment is production
abort("The Rails environment is running in production mode!") if Rails.env.production?
require 'spec_helper'
require 'rspec/rails'
require 'gatherable'
require 'pry'
require 'rake'
# Add additional requires below this line. Rails is not loaded until this point!

require "codeclimate-test-reporter"
CodeClimate::TestReporter.start

# Checks for pending migration and applies them before tests are run.
# If you are not using ActiveRecord, you can remove this line.
ActiveRecord::Migration.maintain_test_schema!

RSpec.configure do |config|
  # If you're not using ActiveRecord, or you'd prefer not to run each of your
  # examples within a transaction, remove the following line or assign false
  # instead of true.
  config.use_transactional_fixtures = true

  config.infer_spec_type_from_file_location!

  # Filter lines from Rails gems in backtraces.
  config.filter_rails_from_backtrace!

  config.before(:suite) do
    Rails.application.load_tasks
    Rake::Task['db:prepare'].invoke #this is essentially an integration test of the migration writer
  end

  config.after(:suite) do
    FileUtils.rm_rf('db/migrate')
  end
end
